Transfer service-identity ownership
Transfers administrative ownership to another active principal. A service identity cannot own itself. The service identity's subject, immutable creator, credentials, grants, and roles are unchanged.
x-api-key<token>
In: header
Path Parameters
idstring
Service-identity UUID
newOwnerIdstring
Existing principal UUID that will become the new owner.
Example
"550e8400-e29b-41d4-a716-446655440000"Format
uuidResponse Body
curl -X POST "https://loading/v1/service-identities/550e8400-e29b-41d4-a716-446655440000:transferOwnership" \ -H "Content-Type: application/json" \ -d '{ "newOwnerId": "550e8400-e29b-41d4-a716-446655440000" }'{
"serviceIdentity": {
"serviceIdentityId": "550e8400-e29b-41d4-a716-446655440000",
"displayName": "production-search",
"description": "string",
"ownerPrincipalId": "c8b7819f-5f12-46fd-a2bb-632aece82193",
"creatorPrincipalId": "9dd98014-def4-41d6-819d-7db1f82d4d60",
"labels": {
"environment": "production",
"team": "search"
},
"deletedAt": 1620200000000,
"deletedById": "8ef578ad-7f1e-4656-b48b-b1b4a9aaa1cb",
"createdAt": 1620000000000,
"updatedAt": 1620100000000,
"createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",
"updatedById": "d8bc6076-4141-4a88-80b9-0eb31643066f"
}
}Empty
Empty
Empty
Empty
Empty
Empty
Empty
Empty